<?php
 namespace Module\AdminProductBrandDefault;
 use TCMS\Controller;
 use Model\ProductBrandModel;
 use Model\UrlModel;
 class IndexController extends Controller {
 public function index() {
 return $this->view();
 }
 public function create() {
 return $this->view();
 }
 public function postCreate(ProductBrandModel $model) {
 if($model->isValid()) {
 if($model->insert()) {
 if(\Model::has("UrlModel")) {
 \Event::raise('add_url', [$model, \Model\UrlModel::PRODUCT_BRAND]);
 }
 return route_redirect('create', 'Thêm thành công');
 }
 $this->view->addErrorMessage('error', 'Thêm thất bại');
 }
 return $this->view($model);
 }
 public function update($id) {
 $model = new ProductBrandModel();
 $data = $model->find($id);
 return $this->view($data);
 }
 public function postUpdate(ProductBrandModel $model) {
 if($model->isValid()) {
 if($model->update()) {
 if(\Model::has("UrlModel")) {
 \Event::raise('update_url', [$model, \Model\UrlModel::PRODUCT_BRAND]);
 }
 return route_redirect('index', 'Cập nhật thành công');
 }
 $this->view->addErrorMessage('error', 'Cập nhật thất bại');
 }
 return $this->view($model);
 }
 public function postDelete() {
 $id = (int)\Request::get('data');
 $model = new ProductBrandModel();
 $isSuccess = $model->delete($id);
 if($isSuccess && \Model::has("UrlModel")) {
 \Event::raise('delete_url', [$id, \Model\UrlModel::PRODUCT_BRAND]);
 }
 if(\Request::isAjax()) return $this->json(['success' => $isSuccess, 'message' => 'Xóa thành công']);
 return route_redirect('index', $isSuccess ? 'Xóa thành công' : 'Xóa thất bại');
 }
 }
